﻿@model QuickOrderParamsView
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/Sales/Views/Shared/_Layout.cshtml";
}
@Styles.Render("~/bundles/QuickOrder-css-Index")
<div class="row">
    <div id="QuickOrderContent">
        <h1 class="page-header">@QuickOrder.QO</h1>

        <div class="col-md-3 sidebar-secondary">
            <div class="panel-group" id="accordion1" style="@(((UserView)Session["UserLogin"]).BPCode != null ? "display:none" : "display:unset")">
                <div class="panel panel-default" style="margin-bottom: 20px;">
                    <div class="panel-heading buscar_main">
                        <h3 class="panel-title">
                            <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion1" href="#collapseCustomer">@QuickOrder.Customer </a>
                            <i class="indicator glyphicon glyphicon-search  pull-right"></i>
                        </h3>
                    </div>
                    <div id="collapseCustomer" class="panel-collapse collapse in">
                        <div class="panel-body">
                            <div class="form-group">
                                <div class="">
                                    @Html.TextBox("txtCodeCustomer", ((UserView)Session["UserLogin"]).BPCode, new { @Id = "txtCodeCustomer", @Name = "txtCodeCustomer", @placeholder = @SaleOrders.CC, @class = "form-control", @style = (((UserView)Session["UserLogin"]).BPCode != null ? "display:none" : "display:unset") })
                                </div>
                                <div class="clear_simple" style="@(((UserView)Session["UserLogin"]).BPCode != null ? "display:none" : "display:unset")"></div>
                                <div class="">
                                    @Html.TextBox("txtNameCustomer", null, new { @Id = "txtNameCustomer", @placeholder = @SaleOrders.CN, @class = "form-control", @disabled = "disabled", @style = (((UserView)Session["UserLogin"]).BPCode != null ? "display:none" : "display:unset") })
                                </div>
                                <div class="clear_simple" style="@(((UserView)Session["UserLogin"]).BPCode != null ? "display:none" : "display:unset")"></div>
                                <div class="" style="@(((UserView)Session["UserLogin"]).BPCode != null ? "display:none" : "display:unset")">
                                    <button type="button" class="btn btn-success btn-ls pull-left " data-toggle="modal" data-target="#CustomerModal"><span class="glyphicon glyphicon-search"></span>@SaleOrders.Search @SaleOrders.Customer</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            <div class="panel-group" id="accordion">
                <div class="panel panel-default">
                    <div class="panel-heading buscar_main">
                        <h3 class="panel-title">
                            <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion" href="#collapseOne">@QuickOrder.S </a>
                            <i class="indicator glyphicon glyphicon-search  pull-right"></i>
                        </h3>
                    </div>
                    <div id="collapseOne" class="panel-collapse collapse in">
                        <div class="panel-body">
                            <div class="form-group">
                                <div class="">
                                    @Html.TextBox("Code", Model.UDF_Code, new { @Id = "UDF_Code", @Name = "Code", @placeholder = @QuickOrder.IC, @class = "form-control" })
                                </div>
                                <div class="clear_simple"></div>
                                <div class="">
                                    @Html.TextBox("Name", Model.UDF_Name, new { @Id = "UDF_Name", @Name = "Name", @placeholder = @QuickOrder.ID, @class = "form-control" })
                                </div>
                                <div class="clear_simple"></div>
                                <div class="">
                                    @Html.DropDownList("ItemGroup", new SelectList(
                                    Model.ListItemGroup,
                                    "ItmsGrpCod",
                                    "ItmsGrpNam", Model.ItemGroup), new { @Id = "ItemGroup", @placeholder = @QuickOrder.IIG, @class = "form-control" })
                                </div>
                                <div class="clear_simple"></div>

                                <div class="col-md-10 no-padding">
                                    <div class="col-md-12 no-padding">
                                        @Html.TextBox("txtCodeBP", Model.TxtCodeBP, new { @Id = "txtCodeBP", @placeholder = @BusinessPartners.SupCode, @class = "form-control" })
                                    </div>
                                    <div class="clear_simple"></div>
                                    <div class="col-md-12 no-padding">
                                        @Html.TextBox("txtNameBP", null, new { @Id = "txtNameBP", @placeholder = @BusinessPartners.SupName, @class = "form-control" })
                                    </div>
                                </div>
                              
                                <div class="col-md-2 no-padding ">
                                    <div class="">
                                        <button type="button" class="btn btn-success btn-ls pull-right " data-toggle="modal" data-target="#BPModal"><span class="glyphicon glyphicon-search"></span></button>
                                    </div>
                                </div>

                                <div class="clear_simple"></div>
                                <div class="udf_boxes">
                                    @{
                                    foreach (UDF_ARGNS DictRow in Model.ListOITMUDF)
                                    {
                                        string mUDFValue = (Model.UDFListValues != null ? Model.UDFListValues.Where(c => c.Key == DictRow.UDFName).FirstOrDefault().Value : "");

                                    <div class="clear_simple"></div>
                                    <div class="">
                                        @if (DictRow.ListUFD1.Count() != 0)
                                            {
                                    <select class="form-control" id="SearchItemUDF_@DictRow.UDFName" name="@DictRow.UDFName">
                                        <option value="">Select @DictRow.UDFDesc</option>
                                        @{
                                                        foreach (UFD1_SAP item in DictRow.ListUFD1)
                                                        {
                                                <option value="@item.FldValue" @(mUDFValue != null && mUDFValue == item.FldValue ? "selected" : "")>@item.Descr</option>
                                                        }
                                        }
                                    </select>
                                            }
                                            else
                                            {
                                    @Html.TextBox(DictRow.UDFName, (mUDFValue != null ? mUDFValue : DictRow.Value), new { @Id = "SearchItemUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @placeholder = DictRow.UDFDesc, @class = "form-control" })
                                            }
                                    </div>
                                    }
                                    }
                                </div>
                                <div class="clear_simple"></div>
                                <div class="searchoptions">
                                    <div class="col-md-6">
                                        <span>@QuickOrder.TS</span> <input id="TilesSearchCk" name="TilesSearchCk" type="checkbox" @(Model.TileSearch == true ? "checked=\"checked\"" : "")>
                                    </div>

                                    <div class=" col-md-6">
                                        <span>@QuickOrder.DS</span> <input id="DoubleTilesSearchCk" name="DoubleTilesSearchCk" type="checkbox" @(Model.DoubleSearch == true ? "checked=\"checked\"" : "disabled=\"disabled\"")>
                                    </div>

                                </div>
                                <div class="clear_simple"></div>

                                <div class="searchoptions">
                                    <div class="col-md-12">
                                        <span>@QuickOrder.SIC1</span> <input type="radio" id="ColumnRadio1" name="ColumnRadio" value="1" @(Model.DoubleSearch == true ? "checked=\"checked\"" : "disabled=\"disabled\"")>
                                    </div>
                                    <div class="col-md-12">
                                        <span>@QuickOrder.SIC2</span> <input type="radio" id="ColumnRadio2" name="ColumnRadio" value="2" @(Model.DoubleSearch == true ? "" : "disabled=\"disabled\"")>
                                    </div>
                                    <div class="clear_simple"></div>
                                </div>
                                <div class="searchoptions" style="border:none;">
                                    <span>@QuickOrder.DSIWZS</span> <input id="NoItemsWithZeroStockCk" name="NoItemsWithZeroStockCk" type="checkbox" @(Model.ZeroStock == true ? "checked=\"checked\"" : "")>
                                </div>


                            </div>

                        </div>
                        <div class="panel-footer">
                            <button type="button" id="btSearch" class="btn btn-primary btn-lg pull-left" data-toggle="modal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="BodyPDM" class="col-md-9 sidebar-data">

                   <div id="QuickOrderCabeceraPartial">
                        @Html.Partial("_QuickOrderHeader", Tuple.Create(Model.ListQuickOrder, Model.ListWarehouse))
                    </div>
           


            <div class="panel panel-default">
                <div class="panel-body">
                    <div id="QuickOrderListPartial">
                        @Html.Partial("_QuickOrderList", Model.ListOITMUDF)
                    </div>
                </div>
            </div>
        </div>
            </div>
        </div>

    @Html.Hidden("SelectCustomer", QuickOrder.SC, new { @Id = "SelectCustomer" })
    @Html.Hidden("ExecuteSearch", Model.ExecuteSearch, new { @Id = "ExecuteSearch" })

    @*Modal BP*@
    <div class="modal fade" id="BPModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabelBPModal">@SaleOrders.Search @BusinessPartners.Supplier</h4>
                </div>
                <div class="">
                    <div class="bs-example">
                        <div class="col-md-4" style="padding-top:0px;">
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Code</label>
                                <div class="col-md-9">
                                    @Html.TextBox("txtCodeSupplier", null, new { @Id = "txtCodeSupplier", @Name = "txtCodeSupplier", @placeholder = @PurchaseOrders.Code, @class = "form-control" })
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Name</label>
                                <div class="col-md-9">
                                    @Html.TextBox("txtNameSupplier", null, new { @Id = "txtNameSupplier", @Name = "txtNameSupplier", @placeholder = @PurchaseOrders.Name, @class = "form-control" })
                                </div>
                            </div>
                        </div>
                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchSupplier" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @SaleOrders.Search</button>
                        </div>
                    </div>
                    <div class="panel-body">
                        <div class="table-responsive responsive table_cart">
                            <table id="assets-data-table-Supplier" class="table table-striped table-hover display" style="width:100%;"></table>
                            <script type="text/javascript">
                            var assetListSupplier;
                        $(function () {
                            assetListSupplier = {
                                dtSupplier: null,
                                init: function () {
                                    dtSupplier = $('#assets-data-table-Supplier').DataTable({
                                        "autoWidth": true,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": '<"top"lp>rt<"bottom"ip>',
                                        "ajax": {
                                            "url": "/Sales/QuickOrder/_Suppliers",
                                            "type": 'POST',
                                            "data": function (data) {
                                                data.pCardCode = $("#txtCodeSupplier").val();
                                                data.pCardName = $("#txtNameSupplier").val();
                                            }
                                        },
                                        "columns": [
                                            { "title": "@BusinessPartners.Code", "data": "CardCode", "name": "CardCode" },
                                            { "title": "@BusinessPartners.Name", "data": "CardName", "name": "CardName" },
                                            {
                                                "title": "@BusinessPartners.Type", "name": "CardType", "data": "CardType",
                                                "render": function (data, type, full, meta) {
                                                    switch (data) {
                                                        case "C": return "@BusinessPartners.Customer"; break;
                                                        case "S": return "@BusinessPartners.Vendor"; break;
                                                        case "L": return "@BusinessPartners.Lead"; break;
                                                        default: ""; break;
                                                    }
                                                }
                                            },
                                            {
                                                "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                "render": function (data, type, full, meta) {
                                                    var mReturnValue = "<button type=\"button\" class=\"btn btn-primary btn-xs\" onclick=\"SetBP('" + data.CardCode + "','" + data.CardName + "', true);\"><span class=\"glyphicon glyphicon-arrow-right\"></span> @PurchaseOrders.Select</button>";
                                                    return mReturnValue;
                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                    });
                                },
                                refresh: function () {
                                    dtSupplier.ajax.reload();
                                }
                            }
                        });
                            </script>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
                </div>
            </div>
        </div>
    </div>

    @*Modal Customer*@
    <div class="modal fade" id="CustomerModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabelCustomerModalCustomer">@SaleOrders.Search @SaleOrders.Customer</h4>
                </div>
                <div class="">
                    <div class="bs-example">
                        <div class="col-md-4" style="padding-top:0px;">
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Code</label>
                                <div class="col-md-9">
                                    @Html.TextBox("txtCodeBP", null, new { @Id = "txtCodeBP", @Name = "txtCodeBP", @placeholder = @PurchaseOrders.Code, @class = "form-control" })
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Name</label>
                                <div class="col-md-9">
                                    @Html.TextBox("txtNameBP", null, new { @Id = "txtNameBP", @Name = "txtNameBP", @placeholder = @PurchaseOrders.Name, @class = "form-control" })
                                </div>
                            </div>
                        </div>
                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchCustomer" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @SaleOrders.Search</button>
                        </div>
                    </div>
                    <div class="panel-body">
                        <div class="table-responsive responsive table_cart">
                            <table id="assets-data-table-BP" class="table table-striped table-hover display" style="width:100%;"></table>
                            <script type="text/javascript">
                        var assetListBP;
                        $(function () {
                            assetListBP = {
                                dtBP: null,
                                init: function () {
                                    dtBP = $('#assets-data-table-BP').DataTable({
                                        "autoWidth": true,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": '<"top"lp>rt<"bottom"ip>',
                                        "ajax": {
                                            "url": "/Sales/QuickOrder/_Customers",
                                            "type": 'POST',
                                            "data": function (data) {
                                                data.pCardCode = $("#txtCodeBP").val();
                                                data.pCardName = $("#txtNameBP").val();
                                            }
                                        },
                                        "columns": [
                                            { "title": "@BusinessPartners.Code", "data": "CardCode", "name": "CardCode" },
                                            { "title": "@BusinessPartners.Name", "data": "CardName", "name": "CardName" },
                                            {
                                                "title": "@BusinessPartners.Type", "name": "CardType", "data": "CardType",
                                                "render": function (data, type, full, meta) {
                                                    switch (data) {
                                                        case "C": return "@BusinessPartners.Customer"; break;
                                                        case "S": return "@BusinessPartners.Vendor"; break;
                                                        case "L": return "@BusinessPartners.Lead"; break;
                                                        default: ""; break;
                                                    }
                                                }
                                            },
                                            {
                                                "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                "render": function (data, type, full, meta) {
                                                    var mReturnValue = "<button type=\"button\" class=\"btn btn-primary btn-xs\" onclick=\"SetCustomer('" + data.CardCode + "','" + data.CardName + "');\"><span class=\"glyphicon glyphicon-arrow-right\"></span> @PurchaseOrders.Select</button>";
                                                    return mReturnValue;
                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                    });
                                },
                                refresh: function () {
                                    dtBP.ajax.reload();
                                }
                            }
                        });
                            </script>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        function showATP(pItemCode, pWarehouse) {
            $.ajax({
                url: '/Sales/SalesOrder/_GetATPByWarehouse',
                contextType: 'application/html;charset=utf-8',
                data: { pItemCode: pItemCode, pWarehouse: pWarehouse },
                type: 'POST',
                dataType: 'html'
            }).done(function (data) {
                $("#tdInfo-" + pItemCode + "-" + pWarehouse).html("");
                $("#tdInfo-" + pItemCode + "-" + pWarehouse).html(data);
                $("#collapse-" + pItemCode + "-" + pWarehouse).show();
            }).fail(function () {
                alert("error");
            });
        }
    </script>

    @Scripts.Render("~/bundles/QuickOrder-Index")
